% els_poz_elem(L, P): P az L lista els pozitv eleme.
els_poz_elem1([X|_],  X) :-
	X > 0.
els_poz_elem1([X|L], EP) :-
	X =< 0, els_poz_elem1(L, EP).

% els_poz_elem(L, P): P az L lista els pozitv eleme.
els_poz_elem2(L, EP) :-
        append(NemPozL, [EP|_], L), EP > 0, 
        \+ van_poz_eleme(NemPozL).

% van_poz_eleme(L): az L szmlistnak van pozitv eleme.
van_poz_eleme(L)  :- member(P, L), P > 0.

% els_poz_elem(L, P): P az L lista els pozitv eleme.
els_poz_elem3(L, EP) :-
        (   member(EP, L), EP > 0 -> true
        ).

% els_poz_elem(L, P): P az L lista els pozitv eleme.
els_poz_elem3a(L, EP) :-
        (   member(X, L), X > 0 -> EP = X
        ).

% els_poz_elem(L, P): P az L lista els pozitv eleme.
els_poz_elem4([X|_], X) :-
	X > 0, !.
els_poz_elem4([X|L], EP) :-
	X =< 0,
	els_poz_elem4(L, EP).

% els_poz_elem(L, P): P az L lista els pozitv eleme.
els_poz_elem5(L, EP) :-
        member(EP, L), EP > 0, !.

% els_poz_elem(L, P): P az L lista els pozitv eleme.
els_poz_elem5a(L, EP) :-
        member(X, L), X > 0, !, X = EP.
