:- use_module(library(lists)).

kif_szam(X, X, []) :- number(X).
kif_szam(X, N, [I|Kiv]) :-  compound(X), 
        X =.. [_F|Args], nth1(I, Args, X1),
        kif_szam(X1, N, Kiv).

:- use_module(library(between)).

kif_szam2(X, X, []) :- number(X).
kif_szam2(X, N, [I|Kiv]) :-  compound(X), 
        functor(X, _F, ArgNo), between(1, ArgNo, I), arg(I, X, X1),
        kif_szam2(X1, N, Kiv).
